<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreatePaymentSettingsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: payment_settings
         */
        Schema::create('payment_settings', function ($table) {
            $table->increments('id');
            $table->text('perfect_money_member_id')->nullable();
            $table->text('perfect_money_account_id')->nullable();
            $table->text('perfect_money_phrase_hash')->nullable();
            $table->text('pm_logo')->nullable();
            $table->text('paypal_business_id')->nullable();
            $table->text('paypal_username')->nullable();
            $table->text('paypal_pwd')->nullable();
            $table->text('paypal_sign')->nullable();
            $table->text('paypal_logo')->nullable();
            $table->text('bitcoin_merchant_id')->nullable();
            $table->text('bitcoin_public_key')->nullable();
            $table->text('bitcoin_private_key')->nullable();
            $table->text('bitcoin_ipn_key')->nullable();
            $table->text('bitcoin_logo')->nullable();
            $table->text('payeer_shop_id')->nullable();
            $table->text('payeer_shop_secret_key')->nullable();
            $table->text('payeer_account')->nullable();
            $table->text('payeer_api_user')->nullable();
            $table->text('payeer_api_secret')->nullable();
            $table->text('payeer_logo')->nullable();
            $table->text('advcash_email')->nullable();
            $table->text('advcash_sci_name')->nullable();
            $table->text('advcash_sci_batch_key')->nullable();
            $table->text('advcash_withdraw_email')->nullable();
            $table->text('advcash_api_name')->nullable();
            $table->text('advcash_api_password')->nullable();
            $table->text('advcash_logo')->nullable();
            $table->text('blockchain_address')->nullable();
            $table->text('blockchain_guid')->nullable();
            $table->text('blockchain_password')->nullable();
            $table->text('blockchain_btc_fee')->nullable();
            $table->text('blockchain_logo')->nullable();
            $table->text('fund_fees')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('payment_settings');
    }
}
