Lavalite package that provides payment_setting management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/payment_setting`.

    "litecms/payment_setting": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\PaymentSetting\Providers\PaymentSettingServiceProvider::class,

And also add it to alias

    'PaymentSetting'  => Litecms\PaymentSetting\Facades\PaymentSetting::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\PaymentSettingTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\PaymentSetting\Providers\PaymentSettingServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\PaymentSetting\Providers\PaymentSettingServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\PaymentSetting\Providers\PaymentSettingServiceProvider" --tag="view"


## Usage


