<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for payment_setting in payment_setting package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  payment_setting module in payment_setting package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'PaymentSetting',
    'names'         => 'PaymentSettings',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'PaymentSettings',
        'sub'   => 'PaymentSettings',
        'list'  => 'List of payment_settings',
        'edit'  => 'Edit payment_setting',
        'create'    => 'Create new payment_setting'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'perfect_money_member_id'        => '',
        'perfect_money_account_id'        => '',
        'perfect_money_phrase_hash'        => '',
        'pm_logo'                    => '',
        'paypal_business_id'         => '',
        'paypal_username'            => '',
        'paypal_pwd'                 => '',
        'paypal_sign'                => '',
        'paypal_logo'                => '',
        'bitcoin_merchant_id'        => '',
        'bitcoin_public_key'         => '',
        'bitcoin_private_key'        => '',
        'bitcoin_ipn_key'            => '',
        'bitcoin_logo'               => '',
        'payeer_shop_id'             => '',
        'payeer_shop_secret_key'        => '',
        'payeer_account'             => '',
        'payeer_api_user'            => '',
        'payeer_api_secret'          => '',
        'payeer_logo'                => '',
        'advcash_email'              => '',
        'advcash_sci_name'           => '',
        'advcash_sci_batch_key'        => '',
        'advcash_withdraw_email'        => '',
        'advcash_api_name'           => '',
        'advcash_api_password'        => '',
        'advcash_logo'               => '',
        'blockchain_address'         => '',
        'blockchain_guid'            => '',
        'blockchain_password'        => '',
        'blockchain_btc_fee'         => '',
        'blockchain_logo'            => '',
        'fund_fees'                  => '',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'perfect_money_member_id'        => '',
        'perfect_money_account_id'        => '',
        'perfect_money_phrase_hash'        => '',
        'pm_logo'                    => 'Perfect money logo',
        'paypal_business_id'         => '',
        'paypal_username'            => '',
        'paypal_pwd'                 => '',
        'paypal_sign'                => '',
        'paypal_logo'                => '',
        'bitcoin_merchant_id'        => '',
        'bitcoin_public_key'         => '',
        'bitcoin_private_key'        => '',
        'bitcoin_ipn_key'            => '',
        'bitcoin_logo'               => '',
        'payeer_shop_id'             => '',
        'payeer_shop_secret_key'        => '',
        'payeer_account'             => '',
        'payeer_api_user'            => '',
        'payeer_api_secret'          => '',
        'payeer_logo'                => '',
        'advcash_email'              => '',
        'advcash_sci_name'           => '',
        'advcash_sci_batch_key'        => '',
        'advcash_withdraw_email'        => '',
        'advcash_api_name'           => '',
        'advcash_api_password'        => '',
        'advcash_logo'               => '',
        'blockchain_address'         => '',
        'blockchain_guid'            => '',
        'blockchain_password'        => '',
        'blockchain_btc_fee'         => '',
        'blockchain_logo'            => '',
        'fund_fees'                  => '',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'perfect_money_member_id'        => ['name' => '', 'data-column' => 1, 'checked'],
        'perfect_money_account_id'        => ['name' => '', 'data-column' => 2, 'checked'],
        'perfect_money_phrase_hash'        => ['name' => '', 'data-column' => 3, 'checked'],
        'pm_logo'                    => ['name' => 'Perfect money logo', 'data-column' => 4, 'checked'],
        'paypal_business_id'         => ['name' => '', 'data-column' => 5, 'checked'],
        'paypal_username'            => ['name' => '', 'data-column' => 6, 'checked'],
        'paypal_pwd'                 => ['name' => '', 'data-column' => 7, 'checked'],
        'paypal_sign'                => ['name' => '', 'data-column' => 8, 'checked'],
        'paypal_logo'                => ['name' => '', 'data-column' => 9, 'checked'],
        'bitcoin_merchant_id'        => ['name' => '', 'data-column' => 10, 'checked'],
        'bitcoin_public_key'         => ['name' => '', 'data-column' => 11, 'checked'],
        'bitcoin_private_key'        => ['name' => '', 'data-column' => 12, 'checked'],
        'bitcoin_ipn_key'            => ['name' => '', 'data-column' => 13, 'checked'],
        'bitcoin_logo'               => ['name' => '', 'data-column' => 14, 'checked'],
        'payeer_shop_id'             => ['name' => '', 'data-column' => 15, 'checked'],
        'payeer_shop_secret_key'        => ['name' => '', 'data-column' => 16, 'checked'],
        'payeer_account'             => ['name' => '', 'data-column' => 17, 'checked'],
        'payeer_api_user'            => ['name' => '', 'data-column' => 18, 'checked'],
        'payeer_api_secret'          => ['name' => '', 'data-column' => 19, 'checked'],
        'payeer_logo'                => ['name' => '', 'data-column' => 20, 'checked'],
        'advcash_email'              => ['name' => '', 'data-column' => 21, 'checked'],
        'advcash_sci_name'           => ['name' => '', 'data-column' => 22, 'checked'],
        'advcash_sci_batch_key'        => ['name' => '', 'data-column' => 23, 'checked'],
        'advcash_withdraw_email'        => ['name' => '', 'data-column' => 24, 'checked'],
        'advcash_api_name'           => ['name' => '', 'data-column' => 25, 'checked'],
        'advcash_api_password'        => ['name' => '', 'data-column' => 26, 'checked'],
        'advcash_logo'               => ['name' => '', 'data-column' => 27, 'checked'],
        'blockchain_address'         => ['name' => '', 'data-column' => 28, 'checked'],
        'blockchain_guid'            => ['name' => '', 'data-column' => 29, 'checked'],
        'blockchain_password'        => ['name' => '', 'data-column' => 30, 'checked'],
        'blockchain_btc_fee'         => ['name' => '', 'data-column' => 31, 'checked'],
        'blockchain_logo'            => ['name' => '', 'data-column' => 32, 'checked'],
        'fund_fees'                  => ['name' => '', 'data-column' => 33, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'PaymentSettings',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
